<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org">
    <xsl:output method="xml" omit-xml-declaration="yes"/>
    <xsl:param name="transition" nk:class="java.lang.String"/>
    <xsl:param name="select" nk:class="java.lang.String"/>
    <xsl:param name="uuid" nk:class="java.lang.String"/>
	
	<xsl:template match="/div">
			<xsl:choose>
				<xsl:when test="$uuid">
				<div>
					<xsl:attribute name="id"><xsl:value-of select="$uuid"/></xsl:attribute>
<script lang="javascript">
$(document).ready(function() {
$("#<xsl:value-of select="$uuid"/>").find("<xsl:value-of select="$select"/>").attr("data-bespoke-bullet","true");
}
);
</script>
					<xsl:copy-of select="."/>
				</div>
				</xsl:when>
				<xsl:otherwise>
					<div>
					<xsl:for-each select="*">
						<xsl:element name="{name()}">
							<xsl:attribute name="class">build <xsl:value-of select="$transition"/></xsl:attribute>
							<xsl:attribute name="data-bespoke-bullet">true</xsl:attribute>
							<xsl:copy-of select="*"/>
						</xsl:element> 
					</xsl:for-each>
					</div>
				</xsl:otherwise>
			</xsl:choose>
    </xsl:template>
	
</xsl:stylesheet>

