package org.netkernel.wiki.rm.endpoint;

import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class TestRenderEngine extends StandardAccessorImpl
{
	public TestRenderEngine()
	{	this.declareThreadSafe();		
	}

	@Override
	public void onSource(INKFRequestContext aContext) throws Exception
	{	String type=aContext.getThisRequest().getArgumentValue("activeType");
		Object result=null;
		if(type.endsWith("XHTML"))
		{	result="<div>{java}public void main(){ hello; } {/java}{xml}<a>b</a>{/xml}{image}test.png{/image}{literal}'''fooo'''{/literal}</div>";
		}
		else
		{	//Docbook
			String opd=(String)aContext.source("arg:operand", String.class);
			result="<programlisting><![CDATA["+opd.replaceAll(JavaRenderEngine.ESCAPE_CDATA_IN_CDATA_FROM, JavaRenderEngine.ESCAPE_CDATA_IN_CDATA_TO )+"]]></programlisting>";		
		}
		aContext.createResponseFrom(result);
	}
}
